NAME

OpenAPI::Client::OpenAI::Path::conversations-conversation_id-items-item_id - Documentation for the /conversations/{conversation_id}/items/{item_id} path.

OPERATIONS

DELETE /conversations/{conversation_id}/items/{item_id}

deleteConversationItem

$client->delete_conversation_item({
    body => { ... },
});

Delete an item from a conversation with the given IDs.

Path/query parameters

  • conversation_id (in path, required, string) - The ID of the conversation that contains the item.

  • item_id (in path, required, string) - The ID of the item to delete.

Responses

200 - OK

Content-Type: application/json

Example:

{
   "created_at" : 0,
   "id" : "string",
   "metadata" : null,
   "object" : "conversation"
}

GET /conversations/{conversation_id}/items/{item_id}

getConversationItem

$client->get_conversation_item({
    body => { ... },
});

Get a single item from a conversation with the given IDs.

Path/query parameters

  • conversation_id (in path, required, string) - The ID of the conversation that contains the item.

  • item_id (in path, required, string) - The ID of the item to retrieve.

  • include (in query, optional, array) - Additional fields to include in the response. See the include parameter for listing Conversation items above for more information.

Responses

200 - OK

Content-Type: application/json

Example:

{
   "content" : [
      {
         "text" : "string",
         "type" : "input_text"
      }
   ],
   "id" : "string",
   "phase" : "commentary",
   "role" : "unknown",
   "status" : "in_progress",
   "type" : "message"
}

SCHEMAS

ConversationItem

A single item within a conversation. The set of possible types are the same as the output type of a Response object .

ConversationResource

Properties:

  • created_at (integer, required) - The time at which the conversation was created, measured in seconds since the Unix epoch.

  • id (string, required) - The unique ID of the conversation.

  • metadata (unknown, required) - Set of 16 key-value pairs that can be attached to an object. This can be useful for storing additional information about the object in a structured format, and querying for objects via API or the dashboard. Keys are strings with a maximum length of 64 characters. Values are strings with a maximum length of 512 characters.

  • object (string, required) - The object type, which is always conversation .

    Allowed values: conversation

    Default: conversation

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.